<?php

namespace App\Http\Controllers;

use App\OrderProductService;
use Illuminate\Http\Request;

class OrderProductServiceController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function __construct()
    {
        $this->middleware('auth'); //Ordinady
        $this->middleware('role:developer');
    }

    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\OrderProductService  $orderProductService
     * @return \Illuminate\Http\Response
     */
    public function show(OrderProductService $orderProductService)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\OrderProductService  $orderProductService
     * @return \Illuminate\Http\Response
     */
    public function edit(OrderProductService $orderProductService)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\OrderProductService  $orderProductService
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, OrderProductService $orderProductService)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\OrderProductService  $orderProductService
     * @return \Illuminate\Http\Response
     */
    public function destroy(OrderProductService $OrderProductService)
    {
       
    }
}
